"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const request_promise_native_1 = tslib_1.__importDefault(require("request-promise-native"));
const hasha_1 = tslib_1.__importDefault(require("hasha"));
const base_x_1 = tslib_1.__importDefault(require("base-x"));
const cache_1 = require("./cache");
const base62 = base_x_1.default("0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ");
function generateKey(url) {
    const buf = hasha_1.default(url, {
        algorithm: "sha256",
        encoding: "buffer"
    });
    return base62.encode(buf);
}
function httpGet(url) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return cache_1.getOrSetCache(generateKey(url), () => tslib_1.__awaiter(this, void 0, void 0, function* () { return request_promise_native_1.default(url); }));
    });
}
exports.httpGet = httpGet;
//# sourceMappingURL=http.js.map